print("\nDebug.lua " .. os.date("%H:%M %d %b %Y"))

date = os.date("%H:%M %d %b %Y")

-- We can get to Sprites via the game tree
print(gameTree)
s = gameTree:child("MELON")
print(s)

-- We can get to Sprites via the current scene
print(scene)
s = scene:component("MELON")
print(s)
if s ~= nil then
	s:setScale({x = 1.5})
	s:setVisible(not s:visible())
	s:setAnchorPoint("left")
end

w = scene:component("LABEL_WELCOME")
print(w)
if w ~= nil then
	w:setText(w:text() .. " Délüxe β © 東京")
end

print("ghf.foo", ghf.foo)

function test(a)
	print("in test", a)
	return a * 5
end

function gamenode()
	return gameTree:child("MELON")
end
